define([
    "../../../widgets/_ComplexValueWidget",
    "dojo/_base/declare",
    "dojo/text!./templates/TextInputWidget.html"
], function(_ComplexValueWidget, declare, template) {
    return declare([_ComplexValueWidget],{
        text: '',
        maxLength: null,
        templateString: template,
        startup: function() {
            if ( this.maxLength ) {
                this.textArea.set('maxLength', this.maxLength);
            }
        },
        _getValueAttr: function() {
            return this.textArea.get('value');
        },
        _setValueAttr: function(value) {
            return this.textArea.set('value', value);
        }
    });
});
